Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DatagramSocket Class Reference

This class represents a socket for sending and receiving datagram packets. More...

Inherits ObjectImpl.

## Public Member Functions
| DatagramSocket ()
| Constructs a datagram socket and binds it to any available port on the local host machine. More...
| DatagramSocket (int port)
| Constructs a datagram socket and binds it to the specified port on the local host machine. More...
| DatagramSocket (int port, InetAddressPtr laddr)
| Creates a datagram socket, bound to the specified local address. More...
| ~DatagramSocket ()
| ensure the socket is closed. More...
void | bind (int lport, InetAddressPtr laddress)
| Binds a datagram socket to a local port and address. More...
void | create ()
| Creates a datagram socket. More...
void | close ()
| Closes this datagram socket. More...
void | connect (InetAddressPtr address, int port)
| Connects the socket to a remote address for this socket. More...
InetAddressPtr | getInetAddress () const
| Returns the address to which this socket is connected. More...
InetAddressPtr | getLocalAddress () const
| Gets the local address to which the socket is bound. More...
int | getLocalPort () const
| Returns the port number on the local host to which this socket is bound. More...
int | getPort () const
| Returns the port for this socket. More...
bool | isBound () const
| Returns the binding state of the socket. More...
bool | isClosed () const
| Returns wether the socket is closed or not. More...
bool | isConnected () const
| Returns the connection state of the socket. More...
void | receive (DatagramPacketPtr &p)
| Receives a datagram packet from this socket. More...
void | send (DatagramPacketPtr &p)
| Sends a datagram packet from this socket. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

This class represents a socket for sending and receiving datagram packets.

## Constructor & Destructor Documentation

DatagramSocket | ( |  | ) |

Constructs a datagram socket and binds it to any available port on the local host machine.

DatagramSocket | ( | int | port | ) |

Constructs a datagram socket and binds it to the specified port on the local host machine.

DatagramSocket | ( | int | port,
|  | InetAddressPtr | laddr
| ) |  |

Creates a datagram socket, bound to the specified local address.

~DatagramSocket | ( |  | ) |

ensure the socket is closed.

## Member Function Documentation

void bind | ( | int | lport,
|  | InetAddressPtr | laddress
| ) |  |

Binds a datagram socket to a local port and address.

void close | ( |  | ) |

Closes this datagram socket.

void connect | ( | InetAddressPtr | address,
|  | int | port
| ) |  |

Connects the socket to a remote address for this socket.

void create | ( |  | ) |

Creates a datagram socket.

InetAddressPtr getInetAddress | ( |  | ) | const
| inline

Returns the address to which this socket is connected.

InetAddressPtr getLocalAddress | ( |  | ) | const
| inline

Gets the local address to which the socket is bound.

int getLocalPort | ( |  | ) | const
| inline

Returns the port number on the local host to which this socket is bound.

int getPort | ( |  | ) | const
| inline

Returns the port for this socket.

bool isBound | ( |  | ) | const
| inline

Returns the binding state of the socket.

bool isClosed | ( |  | ) | const
| inline

Returns wether the socket is closed or not.

bool isConnected | ( |  | ) | const
| inline

Returns the connection state of the socket.

void receive | ( | DatagramPacketPtr & | p | ) |

Receives a datagram packet from this socket.

void send | ( | DatagramPacketPtr & | p | ) |

Sends a datagram packet from this socket.

The documentation for this class was generated from the following file:

- datagramsocket.h